Sharing a folder from nautilus showed/shows no notification of successful sharing

Bug #381012 reported by Tom Haddon on 2009-05-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
dobey

Bug Description

I just created a file that I was planning to share with the other losas and I entered their email addresses (comma and space separated) into the "share with (email)" dialogue box. However, I didn't receive any notification that the folder was successfully shared or not, and in the web interface the folder is currently showing as not being shared. If I right click on the folder and select "Share on Ubuntu One" within nautilus it doesn't show that it's currently being shared either.

Related branches

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: ubuntuone-client 0.90.1-0+r25-2~ubuntu.9.04
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
UbuntuoneClientPackages:
 ubuntuone-client 0.90.1-0+r25-2~ubuntu.9.04
 ubuntuone-storage-protocol 0.90.0-0+r34-0~ubuntu.9.04
 ubuntuone-ppa 2009.04.27-0ubuntu1
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare

Tom Haddon (mthaddon) wrote :

Joshua,

I'm a little fuzzy on who does what WRT sharing in the webUI? can you reassign this as needed?

Changed in ubuntuone-client:
assignee: nobody → Joshua Blount (jblount)
importance: Undecided → High
milestone: none → beta2
status: New → Triaged
Changed in ubuntuone-client:
milestone: beta2 → later
Tom Haddon (mthaddon) wrote :

Just tried to share a folder from within Nautilus. Confirmed that the share recipient didn't receive any email and "u1sdtool --refresh-shares; u1sdtool --list-shared" shows "No shares"

Joshua Blount (jblount) wrote :

Re-assigning to Rodney mentioned he was going to get the sharing on the desktop code move over to the syncdaemon, so please reassign as needed.

Changed in ubuntuone-client:
assignee: Joshua Blount (jblount) → Rodney Dawes (dobey)

.home.mthaddon..cache.ubuntuone.log.syncdaemon.exceptions.log:
 2009-06-18 11:09:10,264 - ubuntuone.SyncDaemon.ActionQueue - ERROR - upload share:'' node:'a45a354b-5bf5-48f7-b36c-ffe8910bde50' upload(node="'a45a354b-5bf5-48f7-b36c-ffe8910bde50'", hash="'sha1:1b1bf542dec11f14fd7a01d5058e77f9e7a35e98'", fileobj_factory='<bound method FSKey.open_file of <canonical.ubuntuone.storage.syncdaemon.sync.FSKey object at 0xac8b9cc>>', share="''", crc32='3979542987L', previous_hash="'sha1:da39a3ee5e6b4b0d3255bfef95601890afd80709'", size='12288') failed a45a354b-5bf5-48f7-b36c-ffe8910bde50
 2009-06-18 11:09:11,420 - ubuntuone.SyncDaemon.ActionQueue - ERROR - ListDir share:'' node:'cce2f1c8-0f2c-4a2e-886e-54c94c27b5a1' ListDir(node="'cce2f1c8-0f2c-4a2e-886e-54c94c27b5a1'", fileobj_factory='<function <lambda> at 0xac53f0c>', share="''", server_hash="'sha1:3a71f6ceb42108a7640c7c2d5fd0bba0d713709a'") failure unable to build fileobj (file went away?) so aborting the download.
 2009-06-18 11:09:12,795 - ubuntuone.SyncDaemon.ActionQueue - ERROR - ListDir share:'' node:'cce2f1c8-0f2c-4a2e-886e-54c94c27b5a1' ListDir(node="'cce2f1c8-0f2c-4a2e-886e-54c94c27b5a1'", fileobj_factory='<function <lambda> at 0xac6541c>', share="''", server_hash="'sha1:da30f8f2d855129273f7f5278459e6aea786c695'") failure unable to build fileobj (file went away?) so aborting the download.
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: ubuntuone-client 0.90.1-0+r44-0~ubuntu.9.04
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
UbuntuoneClientPackages:
 ubuntuone-client 0.90.1-0+r44-0~ubuntu.9.04
 ubuntuone-storage-protocol 0.90.0-0+r38-0~ubuntu.9.04
 ubuntuone-ppa 2009.04.27-0ubuntu1
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare

summary: - Sharing a folder showed/shows no notification of successful sharing
+ Sharing a folder from nautilus showed/shows no notification of
+ successful sharing
Tom Haddon (mthaddon) wrote :
Martin Albisetti (beuno) on 2009-08-06
tags: added: karmic-blocker
tags: added: desktop+
tags: added: ba-foundations-sprint
Elliot Murphy (statik) on 2009-09-04
tags: added: ubuntuone-karmic
removed: karmic-blocker
dobey (dobey) on 2009-09-18
Changed in ubuntuone-client:
status: Triaged → In Progress
dobey (dobey) on 2009-09-21
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2009-09-22
Changed in ubuntuone-client:
milestone: later → w23-karmic-beta
Elliot Murphy (statik) on 2009-10-07
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers